body {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
    display: flex;
    justify-content: center;
}

.login {
    margin-top: 14px;
    border-radius: 20px;
    padding: 15px;
    box-shadow: 0 4px 10px #DC143C;
    background: white;
}

.logo {
    text-align: center;
    padding: 10px;
}

.logo img {
    width: 200px;
}

.h2 {
    padding-left: 15px;
    padding-right: 15px;
    color: #DC143C;
}

.usuarioycontrasena {
    position: relative; 
    padding: 15px;
}

.usuarioycontrasena div {
    margin-bottom: 5px;
}

.usuarioycontrasena input {
    border-radius: 10px;
    padding: 10px;
    width: 400px;
    box-sizing: border-box;
    box-shadow: 0 4px 10px #DC143C;
    border: 1px solid white;
    outline: none;
}

.final {
    text-align: center;
    padding: 20px;
}

#boton {
    border-radius: 10px;
    padding: 10px;
    width: 400px;
    box-sizing: border-box;
    background-color: #DC143C;
    color: white;
    border: 2px solid #DC143C;
    cursor: pointer;
    font-weight: bold;
    transition: transform 0.3s ease;
}

#boton:hover {
    transform: scale(1.05);
}

a {
    text-decoration: none;
    color: #DC143C;
}

.errorContrasena:not(:empty), 
.errorUsuario:not(:empty) {
    background-color: #DC143C;
    color: white;
    border: 2px solid #DC143C;
    border-radius: 10px;  
    width: 100%; 
    box-sizing: border-box;
    padding: 6px 12px;
    text-align: center;
    display: block;
    position: absolute;
    margin-left: 50px;
    font-size: small;

    animation: aparecerDifuminado 0.5s ease-out forwards;
}

@keyframes aparecerDifuminado {
    0% {
        opacity: 0;
        filter: blur(10px);
        transform: scale(0.75);
    }
    100% {
        opacity: 1;
        filter: blur(0px);
        transform: scale(1);
    }
}

.registroExitoso {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.4s ease;
}

.registroExitoso.activo {
    opacity: 1;
    pointer-events: all;
    animation-delay: 0.5s;
}

.registroContenido {
    background: white;
    padding: 40px;
    border-radius: 15px;
    text-align: center;
    color: #DC143C;
    width: 350px;
    opacity: 0;
    box-shadow: 0 4px 10px #DC143C;
}

.registroExitoso.activo .registroContenido {
    animation: aparecerDifuminado 0.5s ease-out forwards;
    animation-delay: 0.5s;
}

.registroContenido h2 {
    margin-bottom: 10px;
}

.registroContenido p {
    margin-bottom: 20px;
}

.registroContenido button {
    padding: 10px 20px;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    background: #DC143C;
    color: white;
    font-size: 16px;
    transition: transform 0.3s ease, background 0.3s ease;
}

.registroContenido button:hover {
    transform: scale(1.1);
}